MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027597Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-06-13 18:342017-10-30 13:38
Reporterabv 
Assigned Toaml 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.2.0 
Summary0027597: Unstable test blend simple Q6
DescriptionTest blend simple Q6 is unstable and produces different results in series of runs, since about version 6.9.1. I observe this quite regular on master since about January on my workstation (CPU i7-4790) using both VS 2010 and 2015. OCCT 7.0 also has this problem, while 6.9.1 - not, thus this bug is regression.

Error message is:
Error : The area of result shape is 1.62137e+08

Here is sample log of series of runs:

Draw[4]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[5]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[6]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[7]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[8]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[9]> test blend simple Q6
CASE blend simple Q6: OK
Draw[10]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[11]> test blend simple Q6
CASE blend simple Q6: OK
Draw[12]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[13]> test blend simple Q6
CASE blend simple Q6: OK
Draw[14]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
Draw[15]> test blend simple Q6
CASE blend simple Q6: FAILED (error)
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0029133closedbugmaster Unstable test cases 

-  Notes
(0054947)
aml (developer)
2016-06-14 13:03

Dear abv,
This problem is not reproduced on my workstation.
(0054987)
aml (developer)
2016-06-14 20:48

I've reproduced the problem on WindowsX + VC14.
(0071844)
bugmaster (administrator)
2017-10-30 13:38

30 restart om Windows , Linux and MacOS
Problem is not not reproduced on current master

- Issue History
Date Modified Username Field Change
2016-06-13 18:34 abv New Issue
2016-06-13 18:34 abv Assigned To => msv
2016-06-13 18:34 abv Assigned To msv => aml
2016-06-13 18:34 abv Status new => assigned
2016-06-13 18:35 abv Description Updated View Revisions
2016-06-13 18:41 abv Description Updated View Revisions
2016-06-14 13:03 aml Assigned To aml => abv
2016-06-14 13:03 aml Note Added: 0054947
2016-06-14 20:48 aml Note Added: 0054987
2016-06-24 06:49 abv Assigned To abv => aml
2016-10-28 16:32 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-10-19 11:56 kgv Relationship added child of 0029133
2017-10-30 13:38 bugmaster Note Added: 0071844
2017-10-30 13:38 bugmaster Status assigned => closed
2017-10-30 13:38 bugmaster Resolution open => fixed
2017-10-30 13:38 bugmaster Fixed in Version => 7.2.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker